{
  "name": "@seremet.alexandru.work/react-image",
  "version": "1.0.16",
  "description": "A rollup image displaying library that bundles all images even if they might not be used",
  "main": "dist/cjs/bundle.js",
  "module": "dist/esm/bundle.js",
  "types": "dist/index.d.ts",
  "publishConfig": {
    "directory": "dist",
    "main": "index.js",
    "typings": "index.d.ts",
    "@seremet.alexandru.work:registry": "https://gitlab.com/api/v4/projects/52575009/packages/npm/"
  },
  "scripts": {
    "build": "rimraf dist && rollup -c",
    "build-publish": "rimraf dist && rollup -c --silent",
    "dev": "rollup -c -w",
    "test": "jest",
    "lint": "eslint src",
    "format": "prettier --write \"src/**/*.+(js|jsx|ts|tsx|json|css|md|)\"",
    "semantic-release": "semantic-release",
    "publish": "pnpm publish --registry=https://gitlab.com/api/v4/packages/npm/"
  },
  "author": "AlexSeremet",
  "license": "MIT",
  "keywords": [
    "react-template",
    "react-library",
    "typescript",
    "react",
    "template"
  ],
  "peerDependencies": {
    "antd": "^5.11.2",
    "react": "^18.2.0",
    "react-dom": "^18.2.0"
  },
  "devDependencies": {
    "@babel/core": "^7.23.3",
    "@babel/preset-env": "^7.23.3",
    "@babel/preset-react": "^7.23.3",
    "@babel/preset-typescript": "^7.23.3",
    "@rollup/plugin-babel": "^6.0.4",
    "@rollup/plugin-commonjs": "^24.1.0",
    "@rollup/plugin-image": "^3.0.3",
    "@rollup/plugin-node-resolve": "^15.2.3",
    "@rollup/plugin-terser": "^0.4.4",
    "@rollup/plugin-typescript": "^11.1.5",
    "@rollup/plugin-url": "^8.0.2",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.1.1",
    "@semantic-release/npm": "^11.0.1",
    "@testing-library/react": "^14.1.2",
    "@types/jest": "^29.5.10",
    "@types/react": "^18.2.39",
    "@typescript-eslint/eslint-plugin": "^5.62.0",
    "@typescript-eslint/parser": "^5.62.0",
    "babel-jest": "^29.7.0",
    "eslint": "^8.54.0",
    "eslint-plugin-react": "^7.33.2",
    "gh-pages": "^5.0.0",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "prettier": "^3.1.0",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "rimraf": "^4.4.1",
    "rollup": "^3.29.4",
    "rollup-plugin-dts": "^5.3.1",
    "rollup-plugin-peer-deps-external": "^2.2.4",
    "rollup-plugin-postcss": "^4.0.2",
    "semantic-release": "^22.0.8",
    "tslib": "^2.6.2",
    "typescript": "^5.3.2",
    "webpack": "^5.89.0",
    "webpack-cli": "^5.1.4"
  }
}
